Options for `CliStringChoiceArgGroup`

### Type parameters

- #### TChoices: string[]

  Type of the "choices" option

### Hierarchy

- ICliStringChoiceArgGroupOptions

## Index

### Properties

- choices
- description
- hidden
- placeholder
- required

## Properties

### choices

choices: TChoices

- Defined in src/arg-group-factories/cli-string-choice-arg-group.ts:15

Choices for this argument. For strict typing do e.g.

choices: ['foo' as const, 'bar' as const]

### Optional description

description: undefined | string

- Defined in src/arg-group-factories/cli-string-choice-arg-group.ts:22

See `ICliArgGroup.description` with "Choices: ..." appended automatically

### Optional hidden

hidden: undefined | false | true

- Defined in src/arg-group-factories/cli-string-choice-arg-group.ts:28

See `ICliArgGroup.hidden`

### Optional placeholder

placeholder: undefined | string

- Defined in src/arg-group-factories/cli-string-choice-arg-group.ts:25

See `ICliArgGroup.placeholder` defaulting to "<value>"

### Optional required

required: undefined | false | true

- Defined in src/arg-group-factories/cli-string-choice-arg-group.ts:18

See `ICliArgGroup.required`

Generated using TypeDoc and MonoLisa